% preg1, lab 8, 521230, S2-2013
% numero total de personas en grupo considerado
N = 3000;
% constantes en el modelo
m = 1.8;
c = 0.001;

% numero inical de personas muertas
M0 = 0;
% numero inicial de personas enfermas
E0 = 150;
% numero de personas sanas al comienzo de la simulacion
S0 = N - M0 - E0;

% cambiar opciones de integracion del PVI
misopciones = odeset('RelTol',1e-4,'AbsTol',1e-8);

% llamar a ode45
[t45,M45] = ode45('muertos_epidemia',[0 10],M0,misopciones);

% solucion
figure(1)
% evolucion del numero de personas muertas
plot(t45,M45,'k');
hold on
% numero de personas sanas
plot(t45,S0*exp(-(c/m)*M45),'b');
plot(t45,N-S0*exp(-(c/m)*M45)-M45,'r');
legend('muertos','sanos','enfermos');

% averiguar numero de muertos 8 semanas despues de comenzar la epidemia
% observar la diferencia entre este llamado a ode45 y el anterior
% observar tambien diferencia entre vectores salida de ode45
[t45,M45] = ode45('muertos_epidemia',[0 8 10],M0,misopciones);
disp('numero de personas muertas en semana 8 producto de la epidemia')
M45(2)




